/*
scanner.lex
  -- this is a JLEX specification file for IAparser tokens,
     as part of the "ia_parser library" version 0.1beta1, 10/97
Copyright (C) 1997 Timothy J. Hickey
This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.
You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the
Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA.
 */
package ia_parser;
import java.lang.System;
class Utility {
  public static void assert
    (
     boolean expr
     )
      { 
	if (false == expr) {
	  throw (new Error("Error: Assertion failed."));
	}
      }
 private static final String errorMsg[] = {
    "Error: Unmatched end-of-comment punctuation.",
    "Error: Unmatched start-of-comment punctuation.",
    "Error: Unclosed string.",
    "Error: Illegal character."
    };
  public static final int E_ENDCOMMENT = 0; 
  public static final int E_STARTCOMMENT = 1; 
  public static final int E_UNCLOSEDSTR = 2; 
  public static final int E_UNMATCHED = 3; 
  public static void error
    (
     int code
     )
      {
	System.out.println(errorMsg[code]);
      }
}
class Yytoken {
  Yytoken 
    (
     int index,
     String text,
     int line,
     int charBegin,
     int charEnd
     )
      {
	m_index = index;
	m_text = new String(text);
	m_line = line;
	m_charBegin = charBegin;
	m_charEnd = charEnd;
      }
  public int m_index;
  public String m_text;
  public int m_line;
  public int m_charBegin;
  public int m_charEnd;
}


class Yylex {
	private final int YY_BUFFER_SIZE = 512;
	private final int YY_F = -1;
	private final int YY_NO_STATE = -1;
	private final int YY_NOT_ACCEPT = 0;
	private final int YY_START = 1;
	private final int YY_END = 2;
	private final int YY_NO_ANCHOR = 4;
	private final byte YYEOF = -1;

  private int comment_count = 0;
	private java.io.DataInputStream yy_instream;
	private int yy_buffer_index;
	private int yy_buffer_read;
	private int yy_buffer_start;
	private int yy_buffer_end;
	private byte yy_buffer[];
	private int yychar;
	private int yyline;
	private int yy_lexical_state;
	Yylex (java.io.InputStream instream) {
		if (null == instream) {
			throw (new Error("Error: Bad input stream initializer."));
		}
		yy_instream = new java.io.DataInputStream(instream);
		yy_buffer = new byte[YY_BUFFER_SIZE];
		yy_buffer_read = 0;
		yy_buffer_index = 0;
		yy_buffer_start = 0;
		yy_buffer_end = 0;
		yychar = 0;
		yyline = 0;
		yy_lexical_state = YYINITIAL;
	}
	private boolean yy_eof_done = false;
	private final int COMMENT = 1;
	private final int YYINITIAL = 0;
	private final int yy_state_dtrans[] = {
		0,
		41
	};
	private void yybegin (int state) {
		yy_lexical_state = state;
	}
	private byte yy_advance ()
		throws java.io.IOException {
		int next_read;
		int i;
		int j;

		if (yy_buffer_index < yy_buffer_read) {
			return yy_buffer[yy_buffer_index++];
		}

		if (0 != yy_buffer_start) {
			i = yy_buffer_start;
			j = 0;
			while (i < yy_buffer_read) {
				yy_buffer[j] = yy_buffer[i];
				++i;
				++j;
			}
			yy_buffer_end = yy_buffer_end - yy_buffer_start;
			yy_buffer_start = 0;
			yy_buffer_read = j;
			yy_buffer_index = j;
			next_read = yy_instream.read(yy_buffer,
					yy_buffer_read,
					yy_buffer.length - yy_buffer_read);
			if (-1 == next_read) {
				return YYEOF;
			}
			yy_buffer_read = yy_buffer_read + next_read;
		}

		while (yy_buffer_index >= yy_buffer_read) {
			if (yy_buffer_index >= yy_buffer.length) {
				yy_buffer = yy_double(yy_buffer);
			}
			next_read = yy_instream.read(yy_buffer,
					yy_buffer_read,
					yy_buffer.length - yy_buffer_read);
			if (-1 == next_read) {
				return YYEOF;
			}
			yy_buffer_read = yy_buffer_read + next_read;
		}
		return yy_buffer[yy_buffer_index++];
	}
	private void yy_move_start () {
		if ((byte) '\n' == yy_buffer[yy_buffer_start]) {
			++yyline;
		}
		++yychar;
		++yy_buffer_start;
	}
	private void yy_pushback () {
		--yy_buffer_end;
	}
	private void yy_mark_start () {
		int i;
		for (i = yy_buffer_start; i < yy_buffer_index; ++i) {
			if ((byte) '\n' == yy_buffer[i]) {
				++yyline;
			}
		}
		yychar = yychar
			+ yy_buffer_index - yy_buffer_start;
		yy_buffer_start = yy_buffer_index;
	}
	private void yy_mark_end () {
		yy_buffer_end = yy_buffer_index;
	}
	private void yy_to_mark () {
		yy_buffer_index = yy_buffer_end;
	}
	private java.lang.String yytext () {
		return (new java.lang.String(yy_buffer,0,
			yy_buffer_start,
			yy_buffer_end - yy_buffer_start));
	}
	private int yylength () {
		return yy_buffer_end - yy_buffer_start;
	}
	private byte[] yy_double (byte buf[]) {
		int i;
		byte newbuf[];
		newbuf = new byte[2*buf.length];
		for (i = 0; i < buf.length; ++i) {
			newbuf[i] = buf[i];
		}
		return newbuf;
	}
	private final int YY_E_INTERNAL = 0;
	private final int YY_E_MATCH = 1;
	private java.lang.String yy_error_string[] = {
		"Error: Internal error.\n",
		"Error: Unmatched input.\n"
	};
	private void yy_error (int code,boolean fatal) {
		java.lang.System.out.print(yy_error_string[code]);
		java.lang.System.out.flush();
		if (fatal) {
			throw new Error("Fatal Error.\n");
		}
	}
	private int yy_acpt[] = {
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR
	};
	private int yy_cmap[] = {
		0, 0, 0, 0, 0, 0, 0, 0,
		1, 1, 2, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		1, 3, 4, 0, 0, 0, 0, 0,
		5, 6, 7, 8, 9, 10, 11, 12,
		11, 11, 11, 11, 11, 11, 11, 11,
		11, 11, 13, 14, 15, 16, 17, 0,
		0, 18, 18, 18, 18, 18, 18, 18,
		18, 18, 18, 18, 19, 20, 18, 18,
		21, 18, 22, 18, 18, 18, 18, 18,
		18, 18, 18, 23, 24, 25, 26, 27,
		0, 28, 18, 29, 18, 30, 31, 32,
		18, 33, 18, 18, 34, 18, 35, 36,
		37, 18, 38, 39, 40, 18, 18, 41,
		42, 43, 18, 0, 0, 0, 0, 0
		
	};
	private int yy_rmap[] = {
		0, 1, 2, 3, 1, 1, 4, 1,
		1, 5, 6, 7, 1, 8, 1, 9,
		10, 1, 1, 1, 1, 1, 1, 1,
		1, 1, 1, 10, 10, 10, 10, 10,
		10, 10, 10, 10, 10, 10, 10, 1,
		10, 11, 1, 1, 1, 12, 13, 14,
		15, 3, 16, 17, 18, 19, 20, 21,
		22, 23, 24, 25, 26, 27, 28, 29,
		30, 31, 32, 33, 34, 35, 36, 37,
		38, 39, 40, 41, 42, 43, 44, 45,
		46, 47, 48, 49, 50, 51, 52, 53,
		54, 55, 56 
	};
	private int yy_nxt[][] = {
		{ 1, 2, 2, 46, 3, 4, 5, 6,
			7, 8, 9, 10, 11, 52, 12, 13,
			14, 15, 16, 48, 54, 16, 58, 17,
			1, 18, 19, 1, 85, 75, 76, 16,
			16, 88, 77, 90, 16, 16, 16, 78,
			79, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1 
		},
		{ -1, 2, 2, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1 
		},
		{ 3, 3, -1, 3, 21, 3, 3, 3,
			3, 3, 3, 3, 3, 3, 3, 3,
			3, 3, 3, 3, 3, 3, 3, 3,
			47, 3, 3, 3, 3, 3, 3, 3,
			3, 3, 3, 3, 3, 3, 3, 3,
			3, 3, 3, 3 
		},
		{ -1, -1, -1, -1, -1, -1, -1, 22,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, 45, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 10, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, 23,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			25, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			26, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 16, 16, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ 50, 50, 42, 50, 50, 50, 50, 57,
			50, 50, 50, 50, 61, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 56, -1, -1, -1, -1,
			-1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			20, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1 
		},
		{ 3, 53, 51, 3, 49, 3, 3, 3,
			3, 3, 3, 3, 3, 3, 3, 3,
			3, 3, 3, 3, 3, 3, 3, 3,
			47, 3, 3, 3, 3, 3, 3, 3,
			3, 3, 3, 3, 3, 3, 3, 3,
			3, 3, 3, 3 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 27, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 16, 16, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ 50, 50, -1, 50, 50, 50, 50, 65,
			50, 50, 50, 50, 67, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50 
		},
		{ -1, 51, 51, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			3, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			24, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1 
		},
		{ 3, 53, 51, 3, 21, 3, 3, 3,
			3, 3, 3, 3, 3, 3, 3, 3,
			3, 3, 3, 3, 3, 3, 3, 3,
			47, 3, 3, 3, 3, 3, 3, 3,
			3, 3, 3, 3, 3, 3, 3, 3,
			3, 3, 3, 3 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 28, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 16, 16, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ 50, 50, -1, 50, 50, 50, 50, 55,
			50, 50, 50, 50, 67, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, 60,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1 
		},
		{ 50, 50, -1, 50, 50, 50, 50, 55,
			50, 50, 50, 50, 43, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 29, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 16, 16, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ 50, 50, -1, 50, 50, 50, 50, 65,
			50, 50, 50, 50, 59, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			63, -1, -1, -1 
		},
		{ 50, 50, -1, 50, 50, 50, 50, 44,
			50, 50, 50, 50, 59, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 16, 16, 16, 16, 30,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 39 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 16, 16, 31, 16, 16,
			16, 16, 16, 16 
		},
		{ 50, 50, -1, 50, 50, 50, 50, 55,
			50, 50, 50, 50, -1, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			32, 16, 16, 16, 16, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ 50, 50, -1, 50, 50, 50, 50, -1,
			50, 50, 50, 50, 59, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50, 50, 50, 50, 50,
			50, 50, 50, 50 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 33, 16, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 34, 16, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 16, 16, 16, 16, 35,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 36, 16, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 37, 16, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 16, 16, 16, 16, 16,
			16, 16, 16, 38 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 16, 16, 16, 16, 16,
			16, 40, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 16, 62, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 16, 16, 16, 16, 16,
			16, 16, 64, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 16, 66, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 68, 16, 16, 16, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 69, 16, 16, 16,
			16, 16, 16, 16, 16, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 16, 70, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 71, 16, 16, 16, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 72, 16, 16, 16,
			16, 16, 16, 16, 16, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 16, 16, 16, 16, 16,
			73, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 16, 74, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 80, 16, 16,
			16, 16, 16, 16, 16, 16, 16, 81,
			82, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 83,
			16, 16, 16, 16, 16, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 16, 16, 16, 84, 16,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 86, 16, 16, 16, 16,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 16, 16, 16, 16,
			16, 16, 16, 16, 16, 16, 87, 16,
			16, 16, 16, 16 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, 16, -1, -1, -1, -1,
			-1, -1, 16, 16, 16, 16, 16, -1,
			-1, -1, -1, 16, 89, 16, 16, 16,
			16, 16, 16, 16, 16, 16, 16, 16,
			16, 16, 16, 16 
		}
	};
	public Yytoken yylex ()
		throws java.io.IOException {
		byte yy_lookahead;
		int yy_anchor = YY_NO_ANCHOR;
		int yy_state = yy_state_dtrans[yy_lexical_state];
		int yy_next_state = YY_NO_STATE;
		int yy_last_accept_state = YY_NO_STATE;
		boolean yy_initial = true;
		int yy_this_accept;

		yy_mark_start();
		yy_this_accept = yy_acpt[yy_state];
		if (YY_NOT_ACCEPT != yy_this_accept) {
			yy_last_accept_state = yy_state;
			yy_mark_end();
		}
		while (true) {
			yy_lookahead = yy_advance();
			yy_next_state = YY_F;
			if (YYEOF != yy_lookahead) {
				yy_next_state = yy_nxt[yy_rmap[yy_state]][yy_cmap[yy_lookahead]];
			}
			if (YY_F != yy_next_state) {
				yy_state = yy_next_state;
				yy_initial = false;
				yy_this_accept = yy_acpt[yy_state];
				if (YY_NOT_ACCEPT != yy_this_accept) {
					yy_last_accept_state = yy_state;
					yy_mark_end();
				}
			}
			else {
				if (YYEOF == yy_lookahead && true == yy_initial) {

        {
         return (new Yytoken(sym.EOF, yytext(),yyline,yychar,yychar+1));
        }
				}
				else if (YY_NO_STATE == yy_last_accept_state) {
					throw (new Error("Lexical Error: Unmatched Input."));
				}
				else {
					yy_to_mark();
					yy_anchor = yy_acpt[yy_last_accept_state];
					if (0 != (YY_END & yy_anchor)) {
						yy_pushback();
					}
					if (0 != (YY_START & yy_anchor)) {
						yy_move_start();
					}
					switch (yy_last_accept_state) {
					case 1:
						{
        System.out.println("Illegal character: <" + yytext() + ">");
	Utility.error(Utility.E_UNMATCHED);
}
					case -2:
						break;
					case 2:
						{ }
					case -3:
						break;
					case 3:
						{
	String str =  yytext().substring(1,yytext().length());
	Utility.error(Utility.E_UNCLOSEDSTR);
	Utility.assert(str.length() == yytext().length() - 1);
	return (new Yytoken(sym.error,str,yyline,yychar,yychar + str.length()));
}
					case -4:
						break;
					case 4:
						{ return (new Yytoken(sym.LPAREN,yytext(),yyline,yychar,yychar+1)); }
					case -5:
						break;
					case 5:
						{ return (new Yytoken(sym.RPAREN,yytext(),yyline,yychar,yychar+1)); }
					case -6:
						break;
					case 6:
						{ return (new Yytoken(sym.TIMES,yytext(),yyline,yychar,yychar+1)); }
					case -7:
						break;
					case 7:
						{ return (new Yytoken(sym.PLUS,yytext(),yyline,yychar,yychar+1)); }
					case -8:
						break;
					case 8:
						{ return (new Yytoken(sym.COMMA,  yytext(),yyline,yychar,yychar+1)); }
					case -9:
						break;
					case 9:
						{ return (new Yytoken(sym.MINUS,yytext(),yyline,yychar,yychar+1)); }
					case -10:
						break;
					case 10:
						{
	return (new Yytoken(sym.NUMBER,
                yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -11:
						break;
					case 11:
						{ return (new Yytoken(sym.DIVIDE,yytext(),yyline,yychar,yychar+1)); }
					case -12:
						break;
					case 12:
						{ return (new Yytoken(sym.SEMI,  yytext(),yyline,yychar,yychar+1)); }
					case -13:
						break;
					case 13:
						{ return (new Yytoken(sym.LT,yytext(),yyline,yychar,yychar+1)); }
					case -14:
						break;
					case 14:
						{ return (new Yytoken(sym.EQUALS,yytext(),yyline,yychar,yychar+1)); }
					case -15:
						break;
					case 15:
						{ return (new Yytoken(sym.GT,yytext(),yyline,yychar,yychar+1)); }
					case -16:
						break;
					case 16:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -17:
						break;
					case 17:
						{ return (new Yytoken(sym.LBRACKET,yytext(),yyline,yychar,yychar+1)); }
					case -18:
						break;
					case 18:
						{ return (new Yytoken(sym.RBRACKET,yytext(),yyline,yychar,yychar+1)); }
					case -19:
						break;
					case 19:
						{ return (new Yytoken(sym.CAROT,  yytext(),yyline,yychar,yychar+1)); }
					case -20:
						break;
					case 20:
						{ return (new Yytoken(sym.NE,yytext(),yyline,yychar,yychar+1)); }
					case -21:
						break;
					case 21:
						{
	String str =  yytext().substring(1,yytext().length() - 1);
	Utility.assert(str.length() == yytext().length() - 2);
	return (new Yytoken(sym.error,str,yyline,yychar,yychar + str.length()));
}
					case -22:
						break;
					case 22:
						{ return (new Yytoken(sym.POWER,  yytext(),yyline,yychar,yychar+1)); }
					case -23:
						break;
					case 23:
						{ yybegin(COMMENT); comment_count = comment_count + 1; }
					case -24:
						break;
					case 24:
						{ return (new Yytoken(sym.COLON_EQUALS,yytext(),yyline,yychar,yychar+2)); }
					case -25:
						break;
					case 25:
						{ return (new Yytoken(sym.LE,yytext(),yyline,yychar,yychar+1)); }
					case -26:
						break;
					case 26:
						{ return (new Yytoken(sym.GE,yytext(),yyline,yychar,yychar+1)); }
					case -27:
						break;
					case 27:
						{ return (new Yytoken(sym.LP,  yytext(),yyline,yychar,yychar+1)); }
					case -28:
						break;
					case 28:
						{ return (new Yytoken(sym.MP,  yytext(),yyline,yychar,yychar+1)); }
					case -29:
						break;
					case 29:
						{ return (new Yytoken(sym.RP,  yytext(),yyline,yychar,yychar+1)); }
					case -30:
						break;
					case 30:
						{ return (new Yytoken(sym.COS,  yytext(),yyline,yychar,yychar+1)); }
					case -31:
						break;
					case 31:
						{ return (new Yytoken(sym.EXP,  yytext(),yyline,yychar,yychar+1)); }
					case -32:
						break;
					case 32:
						{ return (new Yytoken(sym.LOG,  yytext(),yyline,yychar,yychar+1)); }
					case -33:
						break;
					case 33:
						{ return (new Yytoken(sym.SIN,  yytext(),yyline,yychar,yychar+1)); }
					case -34:
						break;
					case 34:
						{ return (new Yytoken(sym.TAN,  yytext(),yyline,yychar,yychar+1)); }
					case -35:
						break;
					case 35:
						{ return (new Yytoken(sym.ACOS,  yytext(),yyline,yychar,yychar+1)); }
					case -36:
						break;
					case 36:
						{ return (new Yytoken(sym.ASIN,  yytext(),yyline,yychar,yychar+1)); }
					case -37:
						break;
					case 37:
						{ return (new Yytoken(sym.ATAN,  yytext(),yyline,yychar,yychar+1)); }
					case -38:
						break;
					case 38:
						{ return (new Yytoken(sym.INFTY,  yytext(),yyline,yychar,yychar+1)); }
					case -39:
						break;
					case 39:
						{ return (new Yytoken(sym.NEGINFTY,  yytext(),yyline,yychar,yychar+1)); }
					case -40:
						break;
					case 40:
						{ return (new Yytoken(sym.NARROW,  yytext(),yyline,yychar,yychar+1)); }
					case -41:
						break;
					case 41:
						{ }
					case -42:
						break;
					case 42:
						{ }
					case -43:
						break;
					case 43:
						{ 
	comment_count = comment_count - 1; 
	Utility.assert(comment_count >= 0);
	if (comment_count == 0) {
    		yybegin(YYINITIAL);
	}
}
					case -44:
						break;
					case 44:
						{ comment_count = comment_count + 1; }
					case -45:
						break;
					case 46:
						{
        System.out.println("Illegal character: <" + yytext() + ">");
	Utility.error(Utility.E_UNMATCHED);
}
					case -46:
						break;
					case 47:
						{
	String str =  yytext().substring(1,yytext().length());
	Utility.error(Utility.E_UNCLOSEDSTR);
	Utility.assert(str.length() == yytext().length() - 1);
	return (new Yytoken(sym.error,str,yyline,yychar,yychar + str.length()));
}
					case -47:
						break;
					case 48:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -48:
						break;
					case 49:
						{
	String str =  yytext().substring(1,yytext().length() - 1);
	Utility.assert(str.length() == yytext().length() - 2);
	return (new Yytoken(sym.error,str,yyline,yychar,yychar + str.length()));
}
					case -49:
						break;
					case 50:
						{ }
					case -50:
						break;
					case 52:
						{
        System.out.println("Illegal character: <" + yytext() + ">");
	Utility.error(Utility.E_UNMATCHED);
}
					case -51:
						break;
					case 53:
						{
	String str =  yytext().substring(1,yytext().length());
	Utility.error(Utility.E_UNCLOSEDSTR);
	Utility.assert(str.length() == yytext().length() - 1);
	return (new Yytoken(sym.error,str,yyline,yychar,yychar + str.length()));
}
					case -52:
						break;
					case 54:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -53:
						break;
					case 55:
						{ }
					case -54:
						break;
					case 57:
						{
        System.out.println("Illegal character: <" + yytext() + ">");
	Utility.error(Utility.E_UNMATCHED);
}
					case -55:
						break;
					case 58:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -56:
						break;
					case 59:
						{ }
					case -57:
						break;
					case 61:
						{
        System.out.println("Illegal character: <" + yytext() + ">");
	Utility.error(Utility.E_UNMATCHED);
}
					case -58:
						break;
					case 62:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -59:
						break;
					case 64:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -60:
						break;
					case 66:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -61:
						break;
					case 68:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -62:
						break;
					case 69:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -63:
						break;
					case 70:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -64:
						break;
					case 71:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -65:
						break;
					case 72:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -66:
						break;
					case 73:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -67:
						break;
					case 74:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -68:
						break;
					case 75:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -69:
						break;
					case 76:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -70:
						break;
					case 77:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -71:
						break;
					case 78:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -72:
						break;
					case 79:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -73:
						break;
					case 80:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -74:
						break;
					case 81:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -75:
						break;
					case 82:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -76:
						break;
					case 83:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -77:
						break;
					case 84:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -78:
						break;
					case 85:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -79:
						break;
					case 86:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -80:
						break;
					case 87:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -81:
						break;
					case 88:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -82:
						break;
					case 89:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -83:
						break;
					case 90:
						{
	return (new Yytoken(sym.VARIABLE,yytext(),yyline,yychar,yychar + yytext().length()));
}
					case -84:
						break;
					default:
						yy_error(YY_E_INTERNAL,false);
					case -1:
					}
					yy_initial = true;
					yy_state = yy_state_dtrans[yy_lexical_state];
					yy_next_state = YY_NO_STATE;
					yy_last_accept_state = YY_NO_STATE;
					yy_mark_start();
					yy_this_accept = yy_acpt[yy_state];
					if (YY_NOT_ACCEPT != yy_this_accept) {
						yy_last_accept_state = yy_state;
					}
				}
			}
		}
	}
}
